/* 変数管理システム */
#include "defines.h"
#include "vsiki.h"

int var_read2(unchar *vname,long *num,int *md,long *pp,VARSYS *gvar,VARSYS *lvar)
/* 変数読みだし */
/* グローバル／ローカル両方にある時は、ローカルが優先する */
{
int sel;
long p;
	/* ローカル->グローバルの順でサーチ */
	p=var_search2(vname,gvar,lvar,&sel,md);
	if (p==0) return(VARNDEF); /* 変数は未定義（グローバル／ローカルとも）*/
	*pp=p;
	if (p<0) return(VARNKAKU); /* 数値内容が未確定 */
	/* 読みだし */
	return(var_num_read(p,num,md,sel? lvar:gvar));
}
